Resolve the caller's Cloud instance for the browser gateway
curl --request GET \
--url https://api.openworklabs.com/v1/cloud/gateway/resolve \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openworklabs.com/v1/cloud/gateway/resolve"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openworklabs.com/v1/cloud/gateway/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "provisioning",
"url": "<string>",
"clientToken": "<string>",
"hostToken": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"failure": {
"code": "<string>",
"stage": "provisioning",
"reference": "<string>",
"occurredAt": "2023-11-07T05:31:56Z"
},
"providerSync": {
"status": "degraded",
"reason": "unsupported"
}
}{
"error": "unauthorized"
}{
"error": "openwork_web_access_required",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Cloud
Resolve the caller's Cloud instance for the browser gateway
Starts or wakes the caller’s own OpenWork Cloud browser instance when needed and returns the collaborator token only to the trusted gateway.
GET
/
v1
/
cloud
/
gateway
/
resolve
Resolve the caller's Cloud instance for the browser gateway
Authorizations
bearerAuthdenApiKey
Session token passed as Authorization: Bearer <session-token> for user-authenticated Den routes.
Response
Cloud instance status returned successfully for the gateway.
Available options:
provisioning, waking, ready, failed Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?